#! /usr/bin/python

import os
import launch

package = 'org.speechforge.cairo.demo.recog'
klass = 'RecognitionClient'
grammar_url = 'file:CAIRO_HOME/demo/grammar/example.gram'
## uncomment the following line if -loop mode is enabled (adds quit/exit to grammar)
## grammar_url='file:CAIRO_HOME/demo/grammar/example-loop.gram'
local_rtp_port = '42046'
example_phrase = 'I would like sports news.'

args = ['%s.%s' % (package, klass), local_rtp_port,
        grammar_url, '"%s"' % example_phrase]

launch.launch(args)
